MagickCore: statistic.h File Reference

# statistic.h File Reference

Go to the source code of this file.

## Data Structures
struct | _ChannelStatistics
## Typedefs
typedef struct _ChannelStatistics | ChannelStatistics
## Functions
MagickExport ChannelStatistics * | GetImageChannelStatistics (const Image *, ExceptionInfo *)
MagickExport MagickBooleanType | GetImageChannelExtrema (const Image *, const ChannelType, unsigned long *, unsigned long *, ExceptionInfo *)
MagickExport MagickBooleanType | GetImageChannelMean (const Image *, const ChannelType, double *, double *, ExceptionInfo *)
MagickExport MagickBooleanType | GetImageChannelRange (const Image *, const ChannelType, double *, double *, ExceptionInfo *)
MagickExport MagickBooleanType | GetImageExtrema (const Image *, unsigned long *, unsigned long *, ExceptionInfo *)
MagickExport MagickBooleanType | GetImageRange (const Image *, double *, double *, ExceptionInfo *)
MagickExport MagickBooleanType | GetImageMean (const Image *, double *, double *, ExceptionInfo *)
MagickExport MagickBooleanType | SetImageChannelDepth (Image *, const ChannelType, const unsigned long)
MagickExport MagickBooleanType | SetImageDepth (Image *, const unsigned long)
MagickExport RectangleInfo | GetImageBoundingBox (const Image *, ExceptionInfo *exception)
MagickExport unsigned long | GetImageChannelDepth (const Image *, const ChannelType, ExceptionInfo *)
MagickExport unsigned long | GetImageDepth (const Image *, ExceptionInfo *)
MagickExport unsigned long | GetImageQuantumDepth (const Image *, const MagickBooleanType)

## Typedef Documentation

typedef struct _ChannelStatistics ChannelStatistics

## Function Documentation

MagickExport RectangleInfo GetImageBoundingBox | ( | const Image * | ,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport unsigned long GetImageChannelDepth | ( | const Image * | ,
|  | const | ChannelType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType GetImageChannelExtrema | ( | const Image * | ,
|  | const | ChannelType,
|  | unsigned long * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType GetImageChannelMean | ( | const Image * | ,
|  | const | ChannelType,
|  | double * | ,
|  | double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType GetImageChannelRange | ( | const Image * | ,
|  | const | ChannelType,
|  | double * | ,
|  | double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport ChannelStatistics* GetImageChannelStatistics | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport unsigned long GetImageDepth | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType GetImageExtrema | ( | const Image * | ,
|  | unsigned long * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType GetImageMean | ( | const Image * | ,
|  | double * | ,
|  | double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport unsigned long GetImageQuantumDepth | ( | const Image * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType GetImageRange | ( | const Image * | ,
|  | double * | ,
|  | double * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType SetImageChannelDepth | ( | Image * | ,
|  | const | ChannelType,
|  | const unsigned long |  |
| ) |  |  |

MagickExport MagickBooleanType SetImageDepth | ( | Image * | ,
|  | const unsigned | long |
| ) |  |  |